View Issue Details

IDProjectCategoryView StatusLast Update
12201Bug reports[All Projects] Survey takingpublic2017-05-22 17:39
Reportert6nnp6nn 
Assigned Tot6nnp6nn 
PrioritynoneSeverityblock 
Status closedResolutionfixed 
Product Version2.64.x 
Target VersionFixed in Version2.64.x 
Summary12201: Quotas not triggered for secondary languages
Descriptionrelated to recent quota-grid changes.
Quota languagesetting get not loaded in getQuotaInformation() for secondary languages.
Quotas not triggered for secondary languages.

I'll post a with a fix PR in a minute ..
TagsNo tags attached.
Complete LimeSurvey version number (& build)2.64.1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMariaDB
Operating System (Server)Linux
Webserver software & versionApache2
PHP Version7

Relationships

Activities

t6nnp6nn

2017-03-14 16:04

developer   ~43283

https://github.com/LimeSurvey/LimeSurvey/pull/661

DenisChenu

2017-03-14 16:09

developer   ~43284

I didn't understand something .

Why remove the language restriction ? https://github.com/LimeSurvey/LimeSurvey/pull/661/files#diff-a9dbc6157f3066d12e04af89a4bca062L4355

If you have 10 quota with 10 language , then here : https://github.com/LimeSurvey/LimeSurvey/pull/661/files#diff-a9dbc6157f3066d12e04af89a4bca062R4362 you do if for 100 elements , not for 10.

We need $oSurvey->quotas restricted by actual language , no ? App()->getLanguage();

ShnoulleT

2017-03-15 13:40

reporter   ~43285

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=22474

c_schmitz

2017-05-22 17:39

administrator   ~43688

Release 2.65.1 Build 170522

Related Changesets

LimeSurvey: master 888578de

2017-03-15 13:40:24

t6nnp6nn


Committer: ShnoulleT Details Diff
Fixed issue 12201: Quotas not triggered for secondary languages (#661)

Dev: use mainLanguagesetting and remove loop from getting it
Dev: remove unused variables
mod - application/helpers/common_helper.php Diff File
mod - application/models/Quota.php Diff File

Issue History

Date Modified Username Field Change
2017-03-14 15:54 t6nnp6nn New Issue
2017-03-14 15:54 t6nnp6nn Status new => assigned
2017-03-14 15:54 t6nnp6nn Assigned To => t6nnp6nn
2017-03-14 16:04 t6nnp6nn Note Added: 43283
2017-03-14 16:09 DenisChenu Note Added: 43284
2017-03-15 13:40 ShnoulleT Changeset attached => LimeSurvey master 888578de
2017-03-15 13:40 ShnoulleT Note Added: 43285
2017-03-15 13:40 ShnoulleT Assigned To t6nnp6nn => ShnoulleT
2017-03-15 13:40 ShnoulleT Resolution open => fixed
2017-03-15 13:43 DenisChenu Assigned To ShnoulleT => t6nnp6nn
2017-03-15 13:43 DenisChenu Status assigned => resolved
2017-03-15 13:43 DenisChenu Fixed in Version => 2.64.x
2017-05-22 17:39 c_schmitz Note Added: 43688
2017-05-22 17:39 c_schmitz Status resolved => closed